apiVersion: extensions.istio.io/v1alpha1
kind: WasmPlugin
metadata:
  creationTimestamp: '2023-02-08T13:29:30Z'
  generation: 3
  managedFields:
    - apiVersion: extensions.istio.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:imagePullPolicy': {}
          'f:imagePullSecret': {}
          'f:phase': {}
          'f:pluginConfig':
            .: {}
            'f:api': {}
            'f:backend':
              .: {}
              'f:extensions': {}
              'f:name': {}
              'f:upstream':
                .: {}
                'f:name': {}
                'f:timeout': {}
                'f:url': {}
            'f:services': {}
            'f:system':
              .: {}
              'f:name': {}
              'f:token': {}
              'f:upstream':
                .: {}
                'f:name': {}
                'f:timeout': {}
                'f:url': {}
          'f:priority': {}
          'f:selector': {}
          'f:url': {}
      manager: Mozilla
      operation: Update
      time: '2023-02-08T13:47:17Z'
  name: threescale-wasm-plugin
  namespace: istio-system
  resourceVersion: '362962624'
  uid: 6d5d3411-d1c8-46c0-8a34-dab10530c639
spec:
  imagePullPolicy: IfNotPresent
  imagePullSecret: pull-secret
  phase: STATS
  pluginConfig:
    api: v1
    backend:
      extensions:
        - no_body
      name: backend
      upstream:
        name: outbound|3000||backend-listener.3scale-project.svc.cluster.local
        timeout: 5000
        url: 'http://backend-listener.3scale-project.svc.cluster.local:3000'
    services:
      - authorities:
          - api-ajanvaraus.apps.dev.dfipaas.com
        credentials:
          user_key:
            - query_string:
                keys:
                  - user_key
            - header:
                keys:
                  - user_key
        id: '28'
        mapping_rules:
          - method: POST
            pattern: /ajanvarauspalvelu/v1/rescheduleAppointment
            usages:
              - delta: 1
                name: hits
          - method: POST
            pattern: /ajanvarauspalvelu/v1/getBookableAppointments
            usages:
              - delta: 1
                name: hits
          - method: POST
            pattern: /ajanvarauspalvelu/v1/cancelAppointment
            usages:
              - delta: 1
                name: hits
          - method: POST
            pattern: /ajanvarauspalvelu/v1/bookAppointment
            usages:
              - delta: 1
                name: hits
        token: xxxxxxxxxxxxxxxxxxxxxxxxx
      - authorities:
          - api-tyojonot.apps.dev.dfipaas.com
        credentials:
          user_key:
            - query_string:
                keys:
                  - user_key
            - header:
                keys:
                  - user_key
        id: '19'
        mapping_rules:
          - method: GET
            pattern: /api/v1/categories
            usages:
              - delta: 1
                name: hits
          - method: POST
            pattern: /api/v1/notifications
            usages:
              - delta: 1
                name: hits
        token: xxxxxxxxxxxxxxxxxxxxxxxxx
      - authorities:
          - api-omatietovaranto.apps.dev.dfipaas.com
        credentials:
          user_key:
            - query_string:
                keys:
                  - user_key
            - header:
                keys:
                  - user_key
        id: '17'
        mapping_rules:
          - method: GET
            pattern: '/{apiVersion}/openapi'
            usages:
              - delta: 1
                name: test-method
          - method: POST
            pattern: '/{apiVersion}/DSTU3/CarePlan'
            usages:
              - delta: 1
                name: test-method
        token: xxxxxxxxxxxxxxxxxxxxxxxxx
      - authorities:
          - dev-debug-integration.apps.dev.dfipaas.com
        credentials:
          user_key:
            - query_string:
                keys:
                  - user_key
            - header:
                keys:
                  - user_key
        id: '15'
        mapping_rules:
          - method: GET
            pattern: /input
            usages:
              - delta: 1
                name: hits
        token: xxxxxxxxxxxxxxxxxxxxxxxxx
      - authorities:
          - >-
            bookinfo-bookinfo-gateway-525eca1d5089dbdc-istio-system.apps.dev.dfipaas.com
        credentials:
          user_key:
            - query_string:
                keys:
                  - user_key
            - header:
                keys:
                  - user_key
        id: '5'
        mapping_rules:
          - method: GET
            pattern: /
            usages:
              - delta: 1
                name: hits
        token: xxxxxxxxxxxxxxxxxxxxxxxxx
      - authorities:
          - jm-test-app.apps.dev.dfipaas.com
        credentials:
          user_key:
            - query_string:
                keys:
                  - user_key
            - header:
                keys:
                  - user_key
        id: '6'
        mapping_rules:
          - method: GET
            pattern: /productpage
            usages:
              - delta: 1
                name: hits
        token: xxxxxxxxxxxxxxxxxxxxxxxxx
      - authorities:
          - api-sms.apps.dev.dfipaas.com
        credentials:
          user_key:
            - query_string:
                keys:
                  - user_key
            - header:
                keys:
                  - user_key
        id: '24'
        mapping_rules:
          - method: POST
            pattern: '/{apiversion}/message/sms'
            usages:
              - delta: 1
                name: post_sms
          - method: POST
            pattern: '/{apiversion}/message/deliveryreport'
            usages:
              - delta: 1
                name: post_deliveryreport
        token: xxxxxxxxxxxxxxxxxxxxxxxxx
    system:
      name: 3scale-admin
      token: xxxxxxxxxxxxxxxxxxxxxxxxx
      upstream:
        name: outbound|3000||system-provider.3scale-project.svc.cluster.local
        timeout: 5000
        url: 'http://system-provider.3scale-project.svc.cluster.local:3000'
  priority: 100
  selector: {}
  url: 'registry.redhat.io/openshift-service-mesh/3scale-auth-wasm-rhel8:0.0.1'
